# Type alias NumLayoutItem<Signed>

NumLayoutItem<Signed>: Signed extends infer S extends boolean
? layout.FixedPrimitiveNumLayoutItem<number, S> | layout.OptionalToFromNumLayoutItem<number, S> | layout.FixedPrimitiveNumLayoutItem<bigint, S> | layout.OptionalToFromNumLayoutItem<bigint, S>
: never

#### Type Parameters

- #### Signed extends boolean = boolean

- Defined in core/base/src/utils/layout/layout.ts:118

Generated using TypeDoc